<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Ход согласования</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-fileinput@5.2.5/css/fileinput.min.css" media="all" rel="stylesheet" type="text/css" />
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid justify-content-between">
        <a class="navbar-brand fw-bold" href="contract_list.html"><img src="logo.png" width="65px" height="65px" class="me-2">Фидес</a>
        <div class="ms-5">Ход согласования</div>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNav">
            <span class="navbar-text">
                
            </span>
        </div>
      </div>
    </nav>
    <div class="card mx-5 my-3">
      <div class="card-header d-flex justify-content-between">
      </div>
        <div class="card-body">
        <div id="table" class="table-editable">
          <span class="table-add float-right mb-3 mr-2">
          <a href="#!" class="text-success">
          <i class="fas fa-plus fa-2x" aria-hidden="true"></i></a>
          </span>
            <table class="table table-bordered table-responsive-md text-center table-hover">
            <thead>
            <tr>
                <th>Должность</th>
                <th>Ответственный</th>
                <th>Статус</th>
                <th>Срок</th>
                <th>Замечания</th>
            </tr>
            </thead>
            <tbody id="approvalProgressTableBody">
                
            </tbody>
            </table>
        </div>
        <div id="SendToBtn"></div>
        </div>
        <div class="modal fade" id="viewComments" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                      <div class="modal-dialog modal-lg">
                        <div class="modal-content">
                          <div class="modal-header">
                            <h5 class="modal-title">Замечания</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                          </div>
                          <div class="modal-body">
                             <table class=" table table-bordered table-responsive-md text-center table-hover">
                              <thead>
                                <tr>
                                  <th scope="col">Пункт</th>
                                  <th scope="col">Исходная версия</th>
                                  <th scope="col">Изменения</th>
                                </tr>
                              </thead>
                              <tbody id="tableViewCommentsBody">
                                  
                              </tbody>
                            </table>
                          </div>
                          <div class="modal-footer">
                            <button type="button" class="btn btn-success" data-bs-dismiss="modal">OK</button>
                          </div>
                        </div>
                      </div>
                    </div>
        
        <div class="modal fade" id="sendToLawyer" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Визирование</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                <div class="mb-3">
                  <div class="input-group mb-3">
                        <input type="file" class="form-control" id="inputContractFile" aria-describedby="inputGroupFileAddon03" aria-label="Upload" name="contractFile" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/pdf">
                    </div>                    
                  </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-success" data-bs-dismiss="modal" onclick="sendToLawyer()">Отправить</button>
              </div>
            </div>
          </div>
        </div>
    </div>
    <script defer src="approval_progress.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-fileinput@5.2.5/js/plugins/piexif.min.js" type="text/javascript"></script>
    <script src="https://unpkg.com/@popperjs/core@2"></script>
</body>
</html>